Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231456 - OOPs when performing Sysrq-b and netconsole is loaded
Summary: OOPs when performing Sysrq-b and netconsole is loaded
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 15:06 UTC by Menny Hamburger
Modified: 2008-05-27 12:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-27 12:17:09 UTC


Attachments (Terms of Use)

Description Menny Hamburger 2007-03-08 15:06:34 UTC
I am running a kernel with the latest patches for netpoll/netconsole oops patch.
When doing syrq-b I get the log trace below and the node oops.
I see that this bug was fixed before by applying the operation via a workqueue.
The vanilla code has this implemented differently by adding the 
emergancy_restart and using it in sysrq-b.






2007 Mar  5 15:30:12 node1 WARNING: kernel: CPU:    0
2007 Mar  5 15:30:12 node1 WARNING: kernel: EIP:    0060:[<f88554ea>]    Not 
tainted VLI
2007 Mar  5 15:30:12 node1 WARNING: kernel: EFLAGS: 00010002   (2.6.9-42dbg)
2007 Mar  5 15:30:12 node1 WARNING: kernel: EIP is at e1000_clean+0x9f/0x10d 
[e1000]
2007 Mar  5 15:30:12 node1 WARNING: kernel: eax: 00100100   ebx: f6f3c000   
ecx: f6f3c100   edx: 00200200
2007 Mar  5 15:30:12 node1 WARNING: kernel: esi: f6f3c240   edi: 00000092   
ebp: d26ffdb4   esp: d26ffd94
2007 Mar  5 15:30:12 node1 WARNING: kernel: ds: 007b   es: 007b   ss: 0068
2007 Mar  5 15:30:12 node1 WARNING: kernel: Process reboot (pid: 16277, 
threadinfo=d26ff000 task=f6f491b0)
2007 Mar  5 15:30:12 node1 WARNING: kernel: Stack: c0113e13 00006080 00000000 
d26ffdbc 00000000 f6f3c000 c5304900 ca844a80
2007 Mar  5 15:30:12 node1 WARNING: kernel: d26ffdc8 c02c4b56 00000010 f6f3c000 
c5304900 d26ffdd8 c02c4be6 f6f3c000
2007 Mar  5 15:30:12 node1 WARNING: kernel: c047145c d26ffe00 c02c4f06 f6f3c130 
d26ff000 c5304900 f6f3c880 f9a25a60
2007 Mar  5 15:30:12 node1 WARNING: kernel: Call Trace:
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c010700d>] show_stack+0x7a/0x90
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c010718e>] 
show_registers+0x152/0x1ca
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c0107382>] die+0x100/0x19f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c01171a5>] 
do_page_fault+0x400/0x67f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c0326d37>] error_code+0x2f/0x38
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4b56>] poll_napi+0x7b/0x8f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4be6>] 
netpoll_poll_dev+0x5c/0x5e
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4f06>] 
netpoll_send_skb+0xcc/0x130
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<f9a25145>] write_msg+0x145/0x1a2 
[netconsole]
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011ee8f>] 
__call_console_drivers+0x48/0x57
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011efd8>] 
call_console_drivers+0xd5/0xf2
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f2eb>] 
release_console_sem+0x26/0xba
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f233>] vprintk+0x13e/0x183
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f0f3>] printk+0x18/0x1a
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c012b978>] sys_reboot+0x138/0x2e6
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c032623f>] syscall_call+0x7/0xb
2007 Mar  5 15:30:12 node1 WARNING: kernel: Code: 7d 5a f6 86 b4 00 00 00 03 74 
07 89 f0 e8 9e e5 ff ff 9c 5f fa 8b 43 24 a8
 20 74 73 8d 8b 00 01 00 00 8b 83 00 01 00 00 8b 51 04 <89> 50 04 89 02 c7 41 
04 00 02 20 00 c7 83 00 01 00 00 00 01 10
2007 Mar  5 15:30:12 node1 WARNING: kernel: <0>Fatal exception: panic in 5 
seconds
2007 Mar  5 15:30:12 node1 MAJOR: kernel: bad: scheduling while atomic!
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c010703a>] dump_stack+0x17/0x19
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c0323c3b>] schedule+0x93b/0xae5
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c03245f3>] 
schedule_timeout+0x83/0x172
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c01073ef>] die+0x16d/0x19f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c01171a5>] 
do_page_fault+0x400/0x67f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c0326d37>] error_code+0x2f/0x38
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4b56>] poll_napi+0x7b/0x8f
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4be6>] 
netpoll_poll_dev+0x5c/0x5e
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c02c4f06>] 
netpoll_send_skb+0xcc/0x130
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<f9a25145>] write_msg+0x145/0x1a2 
[netconsole]
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011ee8f>] 
__call_console_drivers+0x48/0x57
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011efd8>] 
call_console_drivers+0xd5/0xf2
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f2eb>] 
release_console_sem+0x26/0xba
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f233>] vprintk+0x13e/0x183
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c011f0f3>] printk+0x18/0x1a
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c012b978>] sys_reboot+0x138/0x2e6
2007 Mar  5 15:30:12 node1 WARNING: kernel: [<c032623f>] syscall_call+0x7/0xb

Comment 1 Neil Horman 2007-06-21 18:16:44 UTC
wierd.  Appears as though for this stack trace to occur, dev_wrapper would most
likely have to return NULL, indicating that the passed in net_device wasnt
allocated using alloc_etherdev, or other routine that set IFF_EXTENDED.  e1000
does have some vestigual use of garbage like thats, but its all been rendered
inoperative since its part of their still-broken multi-rx queue work.  I note
this is a debug kernel that you've built, does the same thing occur on a stock
U4 kernel?  Have you made any changes to the e1000 driver in your debug kernel?

Comment 2 Jeff Moyer 2007-07-20 22:06:27 UTC
We're still waiting for answers to the questions in comment #1.

Comment 3 Neil Horman 2007-08-29 14:47:53 UTC
ping.  Any update?

Comment 4 Neil Horman 2008-05-27 12:17:09 UTC
closing, no updates


Note You need to log in before you can comment on or make changes to this bug.